import moment from "moment-timezone";
import { Types } from "./typing";
export declare namespace Utils {
    /**
     * @param dni
     * Dado un RUN sin el DV, obtiene el dígito verificador
     */
    const getDV: (dni: number) => string;
    const logger: import("winston").Logger;
    const logError: (err: any, place: string) => void;
    const isJSONString: (cadena: string) => boolean;
    const stringToAccesgroup: (str: string) => string;
    const momento: () => moment.Moment;
    const sendMailTo: (data: Types.DataMail, auth: Types.AuthMail) => Promise<void>;
    const getMonthsDST: (timezone: string) => {
        monthIniDST: number;
        monthFinDST: number;
    };
    /**
     *
     * @param begFin
     * @returns
     * Determina una fecha según un numeral. Por ej, el primer sabado de abril: begFin: 1-6-4
     */
    const getNumeralDayOfMonth: (begFin: {
        numeral: number;
        day: number;
        month: number;
        year: number;
    }) => any;
    const toCapitalCase: (str: string) => string;
}
